/* $Id: robotester.c,v 1.4 2004/01/04 19:13:36 gumpu Exp $ */

/****h* DOCUWALA/ROBOTester
 * FUNCTION
 *   A unittest framework.  ROBOTester consists of two parts.
 *   (1) a collection of c functions that you use to create
 *       a tester called robotester.  This tester creates 
 *       and executes testcases.
 *   (2) a perl script, roborun, that uses this tester to run a series
 *       of testcases and collects and analyses the output.
 *****
 */

#include <stdlib.h>
#include <string.h>
#include <stdio.h>

#include "testsuite.h"


extern void EXTN_Create_Suites( void );


void usage( void )
{
    printf("Usage:\n"
           "  robotester list\n"
           "  robotester run <testsuite name> <testcase name>\n");
}


int main( int argc, char** argv )
{
    EXTN_Create_Suites();

    if ( argc == 2 )
    {
        if ( strcmp( argv[ 1 ], "list" ) == 0 )
        {
            RBT_ListCases();
        }
        else
        {
            usage();
        }
    }
    else if ( argc == 4 )
    {
        if ( strcmp( argv[ 1 ], "run" ) == 0 )
        {
            RBT_RunById( argv[2], argv[3] );
        }
        else
        {
            usage();
        }
    }
    else
    {
        usage();
    }

    return EXIT_SUCCESS;
}

